package cn.superdesk.uniorder.dubbo.facade.invoice.supplier;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.invoice.supplier.InvoiceApplySupplierXGoods;
import cn.superdesk.uniorder.dto.param.invoice.supplier.InvoiceApplySupplierXGoodsParam;
import cn.superdesk.uniorder.dto.param.invoice.supplier.InvoiceApplySupplierXGoodsQueryCriteria;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2021-12-09 17:35:01
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021-12-09 17:35:01
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface DubboInvoiceApplySupplierXGoodsService {

	/****************************************** extends BaseService 部分 start ******************************************/

	@Deprecated
	void addObj(InvoiceApplySupplierXGoodsParam param);

	@Deprecated
	void updateObj(InvoiceApplySupplierXGoodsParam param);

	@Deprecated
	void deleteObj(Long id);

	@Deprecated
	InvoiceApplySupplierXGoods findById(Long id);

	@Deprecated
	PageInfo<InvoiceApplySupplierXGoods> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize);

	@Deprecated
	List<InvoiceApplySupplierXGoods> findAll(Map<String, Object> queryMap);

	/****************************************** extends BaseService 部分   end ******************************************/


	void addInvoiceApplySupplierXGoods(InvoiceApplySupplierXGoodsParam param);

	void updateInvoiceApplySupplierXGoods(InvoiceApplySupplierXGoodsParam param);

	void deleteInvoiceApplySupplierXGoods(Long id);

	InvoiceApplySupplierXGoods findInvoiceApplySupplierXGoodsById(Long id);

	R<List<InvoiceApplySupplierXGoods>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize);

	R<List<InvoiceApplySupplierXGoods>> pageQueryGenericParam(InvoiceApplySupplierXGoodsQueryCriteria criteria);
}
